package de.intevation.gnv.geobackend.sde.datasources;

import org.apache.log4j.Logger;

/**
 * The class <code>ColDefinition</code> fulfills the following purposes:
 * @author blume
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class ColDefinition {

    /**
     * Default Logging instance
     */
    private static Logger sLogger = Logger.getLogger(ColDefinition.class);

    /**
     * @deprecated
     */
    public static final int SMALLINT = 1;
    /**
     * @deprecated
     */
    public static final int INTEGER = 2;
    /**
     * @deprecated
     */
    public static final int FLOAT = 3;
    /**
     * @deprecated
     */
    public static final int DOUBLE = 4;
    public static final int INT16 = 1;
    public static final int INT32 = 2;
    public static final int FLOAT32 = 3;
    public static final int FLOAT64 = 4;
    public static final int STRING = 5;
    public static final int BLOB = 6;
    public static final int DATE = 7;
    public static final int SHAPE = 8;
    public static final int RASTER = 9;
    public static final int XML = 10;
    public static final int INT64 = 11;
    public static final int UUID = 12;
    public static final int CLOB = 13;
    public static final int NSTRING = 14;
    public static final int NCLOB = 15;

    private String mName;
    private int mType;

    /**
     * Constructor
     * @param pName the Name of an Column.
     * @param pType the Type of an Column.
     */
    public ColDefinition(String pName, int pType) {
        mName = pName;
        mType = pType;
    }

    /**
     * Returns the Name of an Column.
     * @return the Name of an Column.
     */
    public String getName() {
        return mName;
    }

    /**
     * Returns the Type of an Column.
     * @return the Type of an Column.
     */
    public int getType() {
        return mType;
    }
}
